Upgrade from SM16 to SM17 On Plesk Onyx 17.8.11 SM Not Activating
Problem reported by Hasham AR Wahaib - April 21 at 12:18 PM
Submitted
Hello SM Development Team,

I have been waiting restless  not even a single day that I did not check for updates and community Threads, Recently I tried upgrading from SM 16 to SM17 (April 11th Release) but was unable to see it "Activated" inside Plesk panel, although the Mail Server License was activated and could see it in SM Admin Panel. but Issues with Plesk Integrations. 
Will be Extremely Thanks full if you could tell us ETA for API Integration, according the the support ticket I opened with SM Support team, I was replied the following:
------------- ---------- ----------
Currently Plesk does not support The latest version of SmarterMail. Plesk has an open ticket in with us and we are working with Plesk as they design the integration. Once the integration has been tested and completed on their end you will be able to upgrade.  

Thank you

[image]    

Tony Scholz
Support Department
SmarterTools
877-357-6278
Website | Portal | Blog
Facebook | Twitter | YouTube
------------- -------- ----------

Kindly let us know looking forward to hear the good news soon.


11 Replies

Reply to Thread
0
echoDreamz Replied
I’d say as soon as Plesk gets the update out you will be notified. How can ST give you an ETA on 3rd party products?

Christopher

0
Hasham AR Wahaib Replied
echoDreamz Sir,
I don't meant to be negatively critic, but I thought as I am opening up tickets/ Participating in Community threads may be your Technical / Development team in also working, Collaborating or at least following it up with Plesk. 
End of the Day it gets activated or resolved and start working with Plesk it is in Best Interest of SM, and Sales of SM17 will shoot up. 
Any ways Just thought you would have an idea. but it seems you guys are may be tired of responding positively to Threads. 

:( 
Best Regards 
Wahaib
0
echoDreamz Replied
I am not an ST employee. If it requires an update on the Plesk side of things, not much ST can do, other than waiting for Plesk to release an update. As well, making sure products that integrate with your system is a good step to take before doing any major upgrades. Asking Plesk if SM 17 is supported before doing the upgrade and then finding out is broken, is smart.

Christopher

0
Hasham AR Wahaib Replied
Sir, Care fully Read the Support Team Reply in above Thread Post (it is reply to me from SM support Team, and it Says "Plesk has an open ticket in with us and we are working with Plesk as they design the integration. Once the integration has been tested and completed on their end you will be able to upgrade."
So I guess before you reply try and understand the Issue and Required Response.
0
echoDreamz Replied
Perhaps you should read your own post...

Once the integration has been tested and completed on their end you will be able to upgrade.
SmarterTools has nothing to do with the integration of SmarterMail into Plesk. This is done by and handled by the Plesk developers. While they are waiting to get information from SmarterTools, ultimately, it is Plesk that must complete the integration and there is no way that the SmarterTools team can give you an sort of ETA with when the integration will completed. SmarterTools may be working with Plesk on the integration, but it is Plesk that is doing the integration.

So I guess before upgrading to a new version of SmarterMail, you should check with your 3rd party integrations to confirm the new version works before blindly just installing the new version and hoping for the best.

As well - https://docs.plesk.com/release-notes/onyx/software-requirements/#s4-2-2  it clearly states that only SM to build 16.3 is supported, so why you installed SM 17, is beyond me.

Christopher

0
Sébastien Riccio Replied
Maybe because ST pushes people to upgrade to current builds as the only answer to fix issues that aren't back ported to 16.x for which supports has been dropped.
Also it's not uncommon to see people here updating to latest build, without noticing they are doing a major version upgrade...
I've seen many post saying "I've upgraded to smartermail 16.x build 7XXX" when they don't exist :)


0
Hasham AR Wahaib Replied
MY Self I had to Revert Back to SM16 because there was no way getting the SM17 work with Plesk so far. 
Bad luck is that SM16 does not have good support after the release of SM17, and can't upgrade to V17 because it wont work with Plesk. 
Kind of Stuck.....
3
echoDreamz Replied
Of course, Plesk's website for requirements clearly states that v17 is not currently supported...

You will need to wait for Plesk to update their modules/codebase to support SmarterMail v17.

Yes, SmarterTools pushes people to upgrade, find me a software company that doesnt want everyone on their latest version or release. It is up to you, as a good system admin, to make sure the upgrade is OK for your company. Testing it, making sure control panels and other items that rely on its API or any other aspects of the product work in your environment before simply clicking "Install"/

Christopher

0
Hasham AR Wahaib Replied
Interesting Reply Christopher,

IT I agree it is up to client / user to upgrade or not, but tell me when to don't delay and prompt to pay for your new upstage protection, and your customers keeps asking we want to stay on modern technology (SM16 No longer supports Video Conferencing) I think it is natural to be hunting after upgrade (of-course a working upgrade) and if it is not there yet, having wish to obtain it certain.
In My Cause I will elaborate more. 
Since the Release of Outlook 2019 in Windows & Office 365 (ON Mac OSx Mojave) SM16 (Ver 16.3.6989) Auto Discover are not Functioning correctly along with MS Outlook 2019/ MS Office 365 Outlook in Mac OS Mojave). 
IF it works in Exchange Environment. Then it is not working in IMAP (Talking about Auto-Discover) and when I open up ticket I am advised to upgrade to SM17 because Microsoft have made significant changes in their email clients recently. 
and if I want to upgrade to SM17, then there is limitation about Plesk. I am stuck like petty between the Burger bun.

May be you have better idea !!
0
Hasham AR Wahaib Replied
Hi there, 
The latest SmarterMail 17 Build 7082 Does it works with Plesk Onyx 17.8.11, I saw there some thing fixed with Plesk they mentioned in release notes. 

Not sure if it works or not yet ?
0
echoDreamz Replied
Did you ask Plesk....

Christopher

Reply to Thread